<div class="register-form">
  <form {{on "submit" this.register}}>
    <p class="login-form__information">{{t "common.form.mandatory-all-fields"}}</p>
    <div class="input-container">
      <PixInput
        @id="register-firstName"
        @label={{t "pages.login-or-register.register-form.fields.first-name.label"}}
        name="firstName"
        type="firstName"
        {{on "focusout" this.validateFirstName}}
        required={{true}}
        aria-required={{true}}
        autocomplete="given-name"
        @validationStatus={{this.validation.firstName.status}}
        @errorMessage={{this.validation.firstName.message}}
      />
    </div>

    <div class="input-container">
      <PixInput
        @id="register-lastName"
        @label={{t "pages.login-or-register.register-form.fields.last-name.label"}}
        name="lastName"
        type="lastName"
        {{on "focusout" this.validateLastName}}
        required={{true}}
        aria-required={{true}}
        autocomplete="family-name"
        @validationStatus={{this.validation.lastName.status}}
        @errorMessage={{this.validation.lastName.message}}
      />
    </div>

    <div class="input-container">
      <PixInput
        @id="register-email"
        @label={{t "pages.login-or-register.register-form.fields.email.label"}}
        name="email"
        type="email"
        {{on "focusout" this.validateEmail}}
        required={{true}}
        aria-required={{true}}
        autocomplete="email"
        @validationStatus={{this.validation.email.status}}
        @errorMessage={{this.validation.email.message}}
      />
    </div>

    <div class="input-container">
      <PixInputPassword
        @id="register-password"
        name="password"
        @label={{t "pages.login-or-register.register-form.fields.password.label"}}
        autocomplete="current-password"
        required={{true}}
        aria-required={{true}}
        {{on "input" this.validatePassword}}
        {{on "focusout" this.validatePassword}}
        @validationStatus={{this.validation.password.status}}
        @errorMessage={{this.validation.password.message}}
      />
    </div>

    <div class="checkbox-container input-container">
      <Input
        @type="checkbox"
        @checked={{this.cgu}}
        required={{true}}
        aria-required={{true}}
        aria-label="{{t 'pages.login-or-register.register-form.fields.cgu.aria-label'}}"
        {{on "focusout" this.validateCgu}}
      />
      <p class="register-form__cgu-label">
        {{t "pages.login-or-register.register-form.fields.cgu.accept"}}
        <a href={{this.cguUrl}} class="link" target="_blank" rel="noopener noreferrer">
          {{t "pages.login-or-register.register-form.fields.cgu.terms-of-use"}}
        </a>
        {{t "pages.login-or-register.register-form.fields.cgu.and"}}
        <a href={{this.dataProtectionPolicyUrl}} class="link" target="_blank" rel="noopener noreferrer">
          {{t "pages.login-or-register.register-form.fields.cgu.data-protection-policy"}}
        </a>
      </p>
    </div>
    {{#if this.cguValidationMessage}}
      <p class="register-form__cgu-error" role="alert">{{this.cguValidationMessage}}</p>
    {{/if}}

    {{#if this.errorMessage}}
      <PixMessage @type="alert">
        {{this.errorMessage}}
      </PixMessage>
    {{/if}}

    <div class="input-container">
      <PixButton @type="submit" @isLoading={{this.isLoading}} class="register-form__submit-button">
        {{t "pages.login-or-register.register-form.fields.button.label"}}
      </PixButton>
    </div>

  </form>
</div>